Bug 247182 - x11/libX11: drop libXau and libXdmcp dependencies
Summary: x11/libX11: drop libXau and libXdmcp dependencies
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-x11 (Nobody)
URL:
Keywords: buildisok, needs-patch, patch
Depends on:
Blocks:
 
Reported: 2020-06-11 19:05 UTC by Jan Beich
Modified: 2020-07-11 18:26 UTC (History)
1 user (show)

See Also:
zeising: maintainer-feedback+


Attachments
v1 (802 bytes, patch)
2020-06-11 19:05 UTC, Jan Beich
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Comment 1 Jan Beich freebsd_committer 2020-06-11 19:07:44 UTC
libX11 consumers currently bootleg xorgproto via libXdmcp. Let's find those.
Comment 2 Jan Beich freebsd_committer 2020-06-11 19:47:08 UTC
Nevermind. libX11 -> libxcb -> libXdmcp -> xorgproto.
Comment 3 Automation User 2020-06-26 02:27:38 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/160276210
Comment 4 Niclas Zeising freebsd_committer 2020-07-11 14:30:10 UTC
Approved
Comment 5 commit-hook freebsd_committer 2020-07-11 17:45:57 UTC
A commit references this bug:

Author: jbeich
Date: Sat Jul 11 17:45:36 UTC 2020
New revision: 542000
URL: https://svnweb.freebsd.org/changeset/ports/542000

Log:
  x11/libX11: drop unused dependencies

  PR:		247182
  Approved by:	zeising

Changes:
  head/x11/libX11/Makefile